#include "Townsfolk.h"

namespace assets
{
	std::map<std::string, Townfolks*> Townfolks::list;

	void Townfolks::load(gge::resource::DataArray &dataArray)
	{
		int index = 0;

		ID			 = dataArray.getString(index++);
		odds			 = dataArray.getFloat(index++);
		totalStats.value = dataArray.getFloat(index++);
		totalStats.range = dataArray.getFloat(index++);
	}
}
